# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2020-04-02 13:07
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Action',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(help_text='Operation under Execution', max_length=255, null=True)),
                ('previous_event', models.CharField(help_text='Previous Operation', max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Instance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(help_text="The datetime of the instance's creation")),
                ('vcpu', models.IntegerField(help_text='The number of vCPUs of the instance')),
                ('vram', models.IntegerField(help_text="The amount of the instance's RAM in MB")),
                ('vdisk', models.IntegerField(help_text="The amount of the instance's disk in GB")),
                ('uuid', models.CharField(help_text='The OpenStack UUID of the instance', max_length=100)),
                ('host', models.CharField(help_text='The OpenStack compute node that hosts the instance', max_length=30)),
                ('state', models.CharField(help_text='The current state of the instance', max_length=15)),
                ('ip_address', models.CharField(help_text='The Floating IP Address of the instance', max_length=30, null=True)),
                ('project_name', models.CharField(help_text='The project under which the instance is created', max_length=30)),
                ('floating_ip_id', models.CharField(help_text="The UUID of the instance's Floating IP", max_length=100, null=True)),
                ('dc_name', models.CharField(help_text='The name of the Datacenter where this instance is deployed', max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tx_hash', models.CharField(help_text='The Transaction Hash', max_length=255, null=True)),
                ('vc_tag', models.CharField(help_text='The Virtual Container Tag', max_length=255, null=True)),
                ('block_number', models.IntegerField(help_text="The Block-chain's Block Number", null=True)),
                ('block_hash', models.CharField(help_text="The Block-chain's BlockHash", max_length=255, null=True)),
                ('instance', models.ForeignKey(help_text='The Instance Object of the Transaction', on_delete=django.db.models.deletion.CASCADE, to='notification_handler.Instance')),
            ],
        ),
        migrations.AddField(
            model_name='action',
            name='instance',
            field=models.ForeignKey(help_text='VM instance', on_delete=django.db.models.deletion.CASCADE, to='notification_handler.Instance'),
        ),
    ]
